Package io.vertx.kafka.admin

## Class ListOffsetsResultInfo

- java.lang.Object
- - io.vertx.kafka.admin.ListOffsetsResultInfo

-     public class ListOffsetsResultInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListOffsetsResultInfo​(long offset, long timestamp, Integer leaderEpoch)` | Constructor
    `ListOffsetsResultInfo​(JsonObject json)` | Constructor (from JSON representation)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `getLeaderEpoch()` |
    `long` | `getOffset()` |
    `long` | `getTimestamp()` |
    `ListOffsetsResultInfo` | `setLeaderEpoch​(Integer leaderEpoch)` | Set the leader epoch
    `ListOffsetsResultInfo` | `setOffset​(long offset)` | Set the offset
    `ListOffsetsResultInfo` | `setTimestamp​(long timestamp)` | Set the timestamp
    `JsonObject` | `toJson()` | Convert object to JSON representation
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListOffsetsResultInfo

          public ListOffsetsResultInfo​(long offset,
                                       long timestamp,
                                       Integer leaderEpoch)

      Constructor
      Parameters:
        `offset` - the offset
        `timestamp` - the timestamp
        `leaderEpoch` - the leader epoch

    - #### ListOffsetsResultInfo

          public ListOffsetsResultInfo​(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### getOffset

          public long getOffset()

      Returns:
        the offset

    - #### getTimestamp

          public long getTimestamp()

      Returns:
        the timestamp

    - #### getLeaderEpoch

          public Integer getLeaderEpoch()

      Returns:
        the leader epoch

    - #### setOffset

          public ListOffsetsResultInfo setOffset​(long offset)

      Set the offset
      Parameters:
        `offset` - the offset
      Returns:
        current instance of the class to be fluent

    - #### setTimestamp

          public ListOffsetsResultInfo setTimestamp​(long timestamp)

      Set the timestamp
      Parameters:
        `timestamp` - the timestamp
      Returns:
        current instance of the class to be fluent

    - #### setLeaderEpoch

          public ListOffsetsResultInfo setLeaderEpoch​(Integer leaderEpoch)

      Set the leader epoch
      Parameters:
        `leaderEpoch` - the leader epoch
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`